# Class BeforeUnpinEvent

#### Hierarchy

- PinningIntegrationEvent
  - BeforeUnpinEvent

#####
Index

### Constructors

constructor

### Properties

type

## Constructors

### constructor

- new BeforeUnpinEvent(): BeforeUnpinEvent

- #### Returns BeforeUnpinEvent

  Inherited from PinningIntegrationEvent.constructor

## Properties

### `Readonly` type

type: "beforeunpin" = PinningEvents.BeforeUnpin

Overrides PinningIntegrationEvent.type